Skip to main content

API Key Issuance

We provide an endpoint for issuing API Keys. You can issue an API Key using an API Key that was generated with the "Issuable" setting on MyPage. Additionally, if the service ID and service password are displayed on MyPage, you can also issue an API Key using them.

  • An API key is a service authentication key string for applications to use the AmiVoice API speech recognition service.
  • You can set an expiration date and time based on the issue date and validity period, and allowed IP addresses as needed.
caution

For accounts created after the MyPage renewal on 2025/06/30, the service ID and service password are not displayed on MyPage. For authentication, please use an API Key that can issue API Keys.

Endpoint

POST https://acp-api.amivoice.com/issue_service_authorization

For details on request parameters and responses, please see API Key Issuance API.

Authentication

Specify the API key using one of the following methods. For how to obtain it, see How to Issue API Keys.

HTTP request header

Authorization: Bearer {API_KEY}
caution

The API key must be one issued with the "Issuable" setting on MyPage.

Specify the service ID (sid) and service password (spw) as request parameters

sid={SERVICE_ID}&spw={SERVICE_PASSWORD}